<?php

use App\Http\Controllers\Auth\DashboardController;
use App\Http\Controllers\Client\AboutController;
use App\Http\Controllers\Client\HomeController;
use App\Http\Controllers\Client\TestimonialController;
use Illuminate\Support\Facades\Route;
use Inertia\Inertia;

Route::get('/', [HomeController::class, 'home'])->name('home');
Route::get('/about-us', [AboutController::class, 'index'])->name('about');
Route::get('/art-of-weaving', [HomeController::class, 'art'])->name('artOfWeaving');
Route::get('/contact', [HomeController::class, 'contact'])->name('contact');
Route::get('/faq', [HomeController::class, 'faq'])->name('faq');
Route::get('/product', [HomeController::class, 'product'])->name('product');

Route::get('/testimonial', [TestimonialController::class, 'index'])->name('testimonial.index');
Route::post('/testimonial', [TestimonialController::class, 'store'])->name('testimonial.store');


Route::middleware(['auth', 'verified'])->name("dashboard.")->group(function () {
    Route::get('/dashboard', [DashboardController::class, 'index'])->name('index');

    Route::get('/carousel', [DashboardController::class, 'carousel'])->name('carousel.index');
    Route::get('/carousel/add', [DashboardController::class, 'carouselAdd'])->name('carousel.add');
    Route::post('/carousel', [DashboardController::class, 'carouselStore'])->name('carousel.store');
});

require __DIR__ . '/settings.php';
require __DIR__ . '/auth.php';
